global guiSystem 
#set guiSystem irix
set guiSystem nt

if { $guiSystem == "irix" } {

    lappend auto_path ~j-yen/projects/slide/viewer/gui/downloads/BWidget-1.2.1/
    package require BWidget

} elseif { $guiSystem == "nt" } {

    set p "S:\\slide\\lib\\slide\\BWidget-1.2.1\\"
    lappend auto_path $p
    package require BWidget

} else {    
    puts "ERROR in gui.tcl: SYSTEM not NT or IRIX"
    exit
}

source gui.tcl

#########################################################################################

proc MainGUI { argc argv } {
    global editStandAlone graphStandAlone guiSystem

    if { $guiSystem == "irix" } {

	set graphDir "/project/cs/sequin/b/j-yen/projects/slide/viewer/gui/graph/"
	set guiDir   "/project/cs/sequin/b/j-yen/projects/slide/viewer/gui/"

    } elseif { $guiSystem == "nt" } {

	set graphDir "S:\\slide\\lib\\slide\\gui\\graph\\"
	set guiDir   "S:\\slide\\lib\\slide\\gui\\"

    } else {
	puts "ERROR in MainGUI: SYSTEM not NT or IRIX"
	exit
    }

    set cmd [lindex $argv 0]
    if { $cmd == "graph" } {

	cd $graphDir
	Graph:Create
	set graphStandAlone 1

    } elseif { $cmd == "editor" } {

	Editor:Create
	set editStandAlone 1
    } elseif { $cmd == "all" } {

	Editor:Create
	set editStandAlone 1
	cd $graphDir
	Graph:Create
	set graphStandAlone 1
    } else {

	puts "    wish maingui.tcl (graph,editor,all)"
	exit
    }


    cd $guiDir
}

MainGUI $argc $argv
